#!/bin/bash
case "$SSH_ORIGINAL_COMMAND" in
  *\&*)
    logger -t $0 "Rejected 1: $SSH_ORIGINAL_COMMAND"
    echo "Rejected 1"
    ;;
  *\;*)
    logger -t $0 "Rejected 2: $SSH_ORIGINAL_COMMAND"
    echo "Rejected 2"
    ;;
    rsync*|bin/rsync*)
    $SSH_ORIGINAL_COMMAND
    ;;
    echo works|uname)
    $SSH_ORIGINAL_COMMAND
    ;;
    /usr/bin/sudo /bin/sed -i "/rsnappy-location/,+1 d" /etc/motd)
    $SSH_ORIGINAL_COMMAND
    ;;
    echo -e "\033[1;35m  rsnappy-location: Backup can be found on '$HOSTNAME':'$DIR'\033[0m\n" | sudo /usr/bin/tee --append /etc/motd > /dev/null)
    $SSH_ORIGINAL_COMMAND
    ;;
  *true*)
    echo $SSH_ORIGINAL_COMMAND
    ;;
  *)
    logger -t $0 "Rejected 3: $SSH_ORIGINAL_COMMAND"
    echo "Rejected 3"
    ;;
esac
